EDIT - bug #7990

Moving a feature via d&d does not make the Feature Tree Editor dirty
01/14/2019 04:36 PM - Andreas Mller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.19

Severity: normal Found in Version:

Description

This is because moving feature currently requires prior save and the move operation is handled server side.

As the Feature Tree Editor is not a pure navigator and appears in the Editor part (in the middle) this is unepected behavior. We need
to discuss want the best behavior is, either we implement d&d as client side action or we make the Feature Tree Editor more a
navigator whith more separated functionality for editing a node and moving nodes as it is in taxon navigator.

Related issues:

Related to EDIT - feature request #7873: Implement copy&paste for feature nod... Closed
Has duplicate EDIT - bug #8021: d&d in feature tree editor should not require... Duplicate
Is duplicate of EDIT - bug #8774: Reimplement term tree editors to implement ... Closed
History

#1 - 01/14/2019 04:43 PM - Andreas Miiller

- Related to feature request #7873: Implement copy&paste for feature nodes in feature tree editor added

#2 - 01/27/2019 11:46 AM - Andreas Miiller
- Has duplicate bug #8021: d&d in feature tree editor should not require saving added

#3 - 02/20/2019 03:43 PM - Patrick Plitzner
- Priority changed from New to Highest

#4 - 02/20/2019 03:46 PM - Patrick Plitzner
- Tags set to additivity

#5 - 02/20/2019 03:47 PM - Patrick Plitzner

- Target version changed from Release 5.6 to Reviewed Next Major Release

#6 - 11/18/2019 02:42 PM - Andreas Miiller

- Target version changed from Reviewed Next Major Release to 287

#7 - 12/09/2019 01:19 PM - Andreas Miiller
- Assignee changed from Patrick Plitzner to Katja Luther

- Target version changed from 287 to Release 5.13

In general the feature tree editor should persist data only after pushing save and therefore needs to be refactored. Feal free to open a new ticket or
handle this in this ticket, too.

#8 - 03/09/2020 04:23 PM - Andreas Miiller

- Target version changed from Release 5.13 to Release 5.14

#9 - 04/08/2020 03:47 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#10 - 05/04/2020 11:11 AM - Katja Luther
- Target version changed from Release 5.15 to Release 5.18

#11 - 05/04/2020 11:11 AM - Katja Luther

- Target version changed from Release 5.18 to Release 5.15

#12 - 06/23/2020 01:51 PM - Andreas Miiller

- Target version changed from Release 5.15 to Release 5.18

#13 - 12/04/2020 09:08 AM - Katja Luther

- Target version changed from Release 5.18 to Release 5.19

#14 - 12/04/2020 10:01 AM - Andreas Muller

- Status changed from New to Feedback
Is this still an open issue with the new term tree implementation? If not we should close it as works for me or as duplicate for the term tree ticket.

#15 - 12/04/2020 10:03 AM - Katja Luther
- Status changed from Feedback to Closed

ups no, this issue is solved with the new implementation.

#16 - 12/04/2020 10:30 AM - Andreas Miiller

- Is duplicate of bug #8774: Reimplement term tree editors to implement the general save strategy added
